#
# Conditional build:
%bcond_without	doc		# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	flask-wtf
Summary:	Simple integration of Flask and WTForms
Name:		python-%{module}
Version:	0.10.2
Release:	3
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/F/Flask-WTF/Flask-WTF-%{version}.tar.gz
# Source0-md5:	2932ac0e7e8df26f6efb6ee7e6cfb783
URL:		http://github.com/rduplain/flask-wtf
BuildRequires:	python-flask
%if %{with tests}
BuildRequires:	python-Flask-Testing
BuildRequires:	python-Flask-Uploads
BuildRequires:	python-nose
%endif

BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-wtforms >= 2.0

%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
Requires:	python-modules
Requires:	python-wtforms >= 2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple integration of Flask and WTForms, including CSRF, file upload
and Recaptcha integration.

%package -n python3-%{module}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Simple integration of Flask and WTForms, including CSRF, file upload
and Recaptcha integration.

## %description -n python3-%{module} -l pl.UTF-8

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n Flask-WTF-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%{py_sitescriptdir}/flask_wtf
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Flask_WTF-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst LICENSE
%{py3_sitescriptdir}/flask_wtf
%{py3_sitescriptdir}/Flask_WTF-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif

%changelog
* Tue Sep 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-flask-wtf.git;a=log;h=auto/th/python-flask-wtf-0.10.2-3

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a4b97d8
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2092a54
- python 3.4
- release 2 (by relup.sh)

* Mon Oct 13 2014 Mateusz Korniak <matkor@pld-linux.org> 083d895
- Version 0.10.2. python3 packages added.

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 4446f3a
- cleanup

* Fri Apr 06 2012 zbyniu <zbyniu@pld-linux.org> 2ba9299
- R: python-WTForms

* Fri Apr 06 2012 zbyniu <zbyniu@pld-linux.org> d821c5d
- new

